btb-class |

# Painter Methods

The methods of the Painter class are listed below. For a complete list of Painter class members, see the Painter Members topic.

#### Public Static Methods

DrawBorder | Overloaded. Draw a border around specified rectangle.
GetBorderPadding | Get image border padding for the specified border thickness.
GetDefaultBorderThickness | Get default image border thickness for the specified border style.
OffsetRectangle | Offset rectangle by the specified amount.
ToIsotropicSize | Get size which best fits targetSize while preserving aspect ratio of sourceSize.

#### See Also

Painter Class | ComponentOwl.BetterThumbnailBrowser Namespace